Before you upgrade your NSX Intelligence appliance, make some preparations first.

Use the following list before proceeding with the upgrade.
  1. Check for any known upgrade problems and workarounds that are documented in the VMware NSX Intelligence Release Notes.
  2. Ensure that the NSX Manager Unified Appliance cluster has a valid NSX-T Data Center Enterprise Plus license that allows the deployment, upgrade, and use of the NSX Intelligence appliance. Specifically, check that the license has not expired.

    If you do not have the appropriate Enterprise Plus license, you might encounter an error while attempting to upgrade your current NSX Intelligence appliance version. For example, if you are attempting to upgrade an NSX Intelligence 1.1.0 or 1.1.1 appliance that was installed using NSX-T Data Center 3.0 or later, and NSX-T Data Center has a default vShiedlEndpoint license only, you encounter the following error.

    Stop NSX Intelligence data collection error: Your current license is insufficient for using the upgrade feature. Verify your current license before trying to upgrade your NSX Intelligence appliance again.

  3. Verify that the current NSX Intelligence appliance is in a healthy state. See Verify the Current State of the NSX Intelligence Appliance.
  4. Download the latest NSX Intelligence upgrade bundle. See Download the NSX Intelligence Appliance Upgrade Bundle.